Bug 1206737 - Review Request: python-paramiko1.10 - SSH2 protocol library for python
Summary: Review Request: python-paramiko1.10 - SSH2 protocol library for python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1206739
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 22:45 UTC by Othman Madjoudj
Modified: 2015-05-14 20:04 UTC (History)
2 users (show)

Fixed In Version: python-crypto2.1-2.1.0-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-14 20:04:11 UTC
Type: ---
Embargoed:
crosa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Suggestion of modified SPEC file (2.36 KB, text/x-matlab)
2015-04-24 18:15 UTC, Cleber Rosa
no flags Details
Suggestion of updated module rename patch (87.56 KB, patch)
2015-04-24 18:16 UTC, Cleber Rosa
no flags Details | Diff
Suggestion of patch for updated FSF address (91.95 KB, patch)
2015-04-24 18:17 UTC, Cleber Rosa
no flags Details | Diff
Suggestion of patch to disable incompatible unittest (1.18 KB, patch)
2015-04-24 18:17 UTC, Cleber Rosa
no flags Details | Diff

Description Othman Madjoudj 2015-03-27 22:45:17 UTC
Spec URL: https://athmane.fedorapeople.org/pkgs/fabric-el6/python-paramiko1.10.spec
SRPM URL: https://athmane.fedorapeople.org/pkgs/fabric-el6/python-paramiko1.10-1.10.1-1.el6.src.rpm
Description: 

Paramiko (a combination of the esperanto words for "paranoid" and "friend") is
a module for python 2.3 or greater that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines. Unlike SSL (aka
TLS), the SSH2 protocol does not require heirarchical certificates signed by a
powerful central authority. You may know SSH2 as the protocol that replaced
telnet and rsh for secure access to remote shells, but the protocol also
includes the ability to open arbitrary channels to remote services across an
encrypted tunnel. (This is how sftp works, for example.)

This is a parallel update for EPEL6
Fedora Account System Username: athmane

Comment 1 Othman Madjoudj 2015-03-27 22:45:52 UTC
PS. I need this to push fabric in EPEL6

Comment 2 Cleber Rosa 2015-04-24 18:14:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

All issues found have been marked in the appropriate checks (with "!") and have been provided suggestion of fixes in the SPEC and patch files attached to the BZ.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "LGPL (v2.1 or
     later)", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/cleber/package-review/python-
     paramiko/1206737-python-paramiko1.10/licensecheck.txt
     Reviewer Note: 2 files with unknown license have been checked and
     are safe (one is a generated file by documentation tool epydoc
     and the other is a simple unittest wrapper utility).
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/paramiko-1.10.1-py2.7.egg-info(python-paramiko)
     Reviewer note: no conflicts with both packages installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/python-%{srcname}-%{version}-%{release}-root-%(%{__id_u} -n)
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
     Reviewer Note: this a backport
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-paramiko1.10-1.10.1-1.fc20.noarch.rpm
          python-paramiko1.10-1.10.1-1.fc20.src.rpm
python-paramiko1.10.noarch: W: spelling-error %description -l en_US Paramiko -> Paramaribo
python-paramiko1.10.noarch: W: spelling-error %description -l en_US esperanto -> Esperanto
python-paramiko1.10.noarch: W: spelling-error %description -l en_US heirarchical -> hierarchical, hierarchic
python-paramiko1.10.noarch: W: spelling-error %description -l en_US rsh -> rah, rs, sh
python-paramiko1.10.noarch: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/resource.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/message.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp_file.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/common.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp_attr.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/rsakey.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp_si.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp_client.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/config.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/win_pageant.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/server.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/pipe.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/ber.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/compress.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/proxy.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/channel.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/pkey.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp_handle.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/buffered_pipe.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/auth_handler.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/ssh_exception.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/dsskey.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/client.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/transport.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/file.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/primes.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/hostkeys.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/packet.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/util.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/kex_group1.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/sftp_server.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/agent.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/kex_gex.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/logging22.py
python-paramiko1.10.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/paramiko110/__init__.py
python-paramiko1.10.src: W: spelling-error %description -l en_US Paramiko -> Paramaribo
python-paramiko1.10.src: W: spelling-error %description -l en_US esperanto -> Esperanto
python-paramiko1.10.src: W: spelling-error %description -l en_US heirarchical -> hierarchical, hierarchic
python-paramiko1.10.src: W: spelling-error %description -l en_US rsh -> rah, rs, sh
python-paramiko1.10.src: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
2 packages and 0 specfiles checked; 36 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-paramiko1.10 (rpmlib, GLIBC filtered):
    python(abi)
    python-crypto2.1



Provides
--------
python-paramiko1.10:
    python-paramiko1.10



Source checksums
----------------
http://pypi.python.org/packages/source/p/paramiko/paramiko-1.10.1.tar.gz :
  CHECKSUM(SHA256) this package     : 5fac0dbb3d7498bf4a7e1b8fac920cb8977a90e260d43d7e30fac2d6dd5fbabc
  CHECKSUM(SHA256) upstream package : 5fac0dbb3d7498bf4a7e1b8fac920cb8977a90e260d43d7e30fac2d6dd5fbabc


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1206737 -L local_repo/
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Built with local dependencies:
    /home/cleber/package-review/python-paramiko/local_repo/python-crypto2.1-2.1.0-3.fc20.x86_64.rpm


Other
=====

Parallel installation works fine:

$ rpm -qa | grep python-paramiko
python-paramiko1.10-1.10.1-2.fc20.noarch
python-paramiko-1.15.1-1.fc20.noarch

I also tested applications that indirectly use the library and they performed fine.

Comment 3 Cleber Rosa 2015-04-24 18:15:22 UTC
Created attachment 1018557 [details]
Suggestion of modified SPEC file

Comment 4 Cleber Rosa 2015-04-24 18:16:10 UTC
Created attachment 1018558 [details]
Suggestion of updated module rename patch

Comment 5 Cleber Rosa 2015-04-24 18:17:02 UTC
Created attachment 1018559 [details]
Suggestion of patch for updated FSF address

Comment 6 Cleber Rosa 2015-04-24 18:17:39 UTC
Created attachment 1018560 [details]
Suggestion of patch to disable incompatible unittest

Comment 7 Othman Madjoudj 2015-04-25 08:21:02 UTC
Thanks for the patches, please find the updated SPEC and SRPM.

SPEC: https://athmane.fedorapeople.org/pkgs/fabric-el6/python-paramiko1.10.spec

SRPM: https://athmane.fedorapeople.org/pkgs/fabric-el6/python-paramiko1.10-1.10.1-2.el6.noarch.rpm

Comment 8 Cleber Rosa 2015-04-25 13:08:28 UTC
Athmane,

Sorry but the SRPM is missing. The link actually points to the noarch RPM.

Can you please upload the SRPM so that I can do another review.

Thanks!

Comment 9 Othman Madjoudj 2015-04-25 14:15:11 UTC
Sorry, it was copy-and-paste typo, here's SRPM url:

SRPM: https://athmane.fedorapeople.org/pkgs/fabric-el6/python-paramiko1.10-1.10.1-2.el6.src.rpm

Comment 10 Cleber Rosa 2015-04-26 03:30:32 UTC
All the issues found have been addressed. Package approved.

Comment 11 Othman Madjoudj 2015-04-26 17:59:21 UTC
New Package SCM Request
=======================
Package Name: python-paramiko1.10
Short Description: SSH2 protocol library for python
Upstream URL: https://github.com/paramiko/paramiko/
Owners: athmane
Branches: el6

Comment 12 Gwyn Ciesla 2015-04-26 20:13:48 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-04-30 20:13:31 UTC
python-crypto2.1-2.1.0-4.el6, python-paramiko1.10-1.10.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5985/python-paramiko1.10-1.10.1-2.el6,python-crypto2.1-2.1.0-4.el6

Comment 14 Fedora Update System 2015-05-01 19:40:44 UTC
python-crypto2.1-2.1.0-4.el6, python-paramiko1.10-1.10.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2015-05-10 20:38:32 UTC
python-crypto2.1-2.1.0-4.el6, python-paramiko1.10-1.10.1-2.el6, fabric-1.6.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2015-05-14 20:04:11 UTC
python-crypto2.1-2.1.0-4.el6, python-paramiko1.10-1.10.1-2.el6, fabric-1.6.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.